Skip to content

Create New Loan

POST
/v1/loans

Create a new loan offer for the current account. Loan offers are prioritised from the lowest to highest interest rate, with FIFO applied for offers at the same rate.

If the loan offer is utilised, the lender earns the prevailing hourly rate, which is the higher of the specified hourlyRate and the marginal highest hourlyRate determined by the loan auction each hour.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Request Body

application/json
JSON
{
"currencySymbol": "USDC",
"hourlyRate": "0.00001255",
"amount": "100"
}

Responses

Loan created successfully

application/json

Playground

Authorization
Body

Samples